Fetch Whitelabel Brands
curl --request GET \
--url https://sitegpt.ai/api/v0/w/brands \
--header 'Authorization: Bearer <token>'import requests
url = "https://sitegpt.ai/api/v0/w/brands"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sitegpt.ai/api/v0/w/brands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "string",
"message": "string",
"data": {
"brands": [
{
"id": "38591051554671453681",
"name": "PSDK",
"domain": "app.brand.com",
"marketingDomain": "brand.com",
"supportEmail": "support@brand.com",
"color": "#000000",
"createdAt": "2024-01-03T14:23:17.043394Z",
"updatedAt": "2024-01-09T10:52:53.631589Z",
"metaDetails": {
"title": "Number One brand",
"description": "Number One brand for everything",
"ogImage": "https://sitegpt.ai/cdn-cgi/imagedelivery/AIHFDBHjnhbc/vcedv443r-cr5t-3rf5-d863-dckljdcdkc3/square"
},
"terms": "https://brand.com/terms",
"privacyPolicy": "https://brand.com/privacy",
"ownedById": "360596271623302134",
"logo": "https://sitegpt.ai/cdn-cgi/imagedelivery/hQTLE0NTlcNyb_tOYFnnyA/8d988e1f-2ea1-4b38-2d5d-1fc812560400/square",
"fullLogo": "https://sitegpt.ai/cdn-cgi/imagedelivery/hQTLE0NTlcNyb_tOYFnnyA/85052523-9a79-4dd8-f7d3-60a53175ef00/square",
"emailSettings": {
"resendApiKey": "rs_api_12e2e2cvwev",
"fromName": "Brand",
"fromEmail": "login@resend.app.brand.com",
"replyToEmail": "support@brand.com"
},
"defaultQuota": {
"chatbotsQuota": 1,
"linksQuota": 10,
"filesQuota": 5,
"combinedMessagesQuota": 20,
"membersQuota": 1
}
}
]
}
}{
"success": false,
"message": "Failed to fetch all the whitelabel brands",
"data": null,
"error": {
"code": "API_KEY_NOT_VALID",
"message": "Authorization header does not contain valid API key",
"details": null
}
}{
"success": false,
"message": "Failed to fetch all the whitelabel brands",
"data": null,
"error": {
"code": "FETCH_WHITELABEL_BRANDS_FORBIDDEN",
"message": "You are not authorized to fetch all the whitelabel brands"
}
}{
"success": false,
"message": "Failed to fetch all the whitelabel brands",
"data": null,
"error": {
"code": "REQUEST_METHOD_NOT_ALLOWED",
"message": "PUT request method is not allowed"
}
}{
"success": false,
"message": "Failed to fetch all the whitelabel brands",
"data": null,
"error": {
"code": "FETCH_WHITELABEL_BRANDS_FAILED",
"message": "Some technical error has occurred !!"
}
}Whitelabel (Deprecated)
Fetch Whitelabel Brands
deprecated
Fetch all of your whitelabel brands
GET
/
v0
/
w
/
brands
Fetch Whitelabel Brands
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I